package com.huimv.manage.eartag.service;

import com.huimv.manage.util.Result;

import java.io.UnsupportedEncodingException;
import java.util.Date;

public interface IPackageService {
    //展示列表
    Result listPackage(int pageSize);
    Result listPackage(Integer applyId, Integer packageId, Date startDate, Date endDate, Integer returnState, Integer pageSize, Integer pageNo);

    //下载新批次
    Result getNewPackage(int applyId) throws UnsupportedEncodingException;

    //设置返回已经下载状态
    Result setReturnDownloadState(String packageIds,String ids) throws UnsupportedEncodingException;

    //设置生产状态
    Result setProduceState(String ids,int state);

}
